Bug 1251435 - IO Threads breaks the live snapshot creations
IO Threads breaks the live snapshot creations
Status: CLOSED INSUFFICIENT_DATA
Product: vdsm
Classification: oVirt
Component: General (Show other bugs)
4.16.0
x86_64 Linux
unspecified Severity medium (vote)
: ovirt-3.6.1
: 4.17.14
Assigned To: Fred Rolland
Aharon Canan
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-07 05:46 EDT by enax
Modified: 2016-03-10 10:10 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-16 07:36:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
frolland: needinfo-
frolland: needinfo-
amureini: ovirt‑3.6.z?
amureini: ovirt‑4.0.0?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)
logs (33.36 KB, application/x-gzip)
2015-08-07 05:46 EDT, enax
no flags Details
logs2 (25.65 KB, application/x-gzip)
2015-08-10 05:07 EDT, enax
no flags Details

  None (edit)
Description enax 2015-08-07 05:46:52 EDT
Created attachment 1060321 [details]
logs

Description of problem:
If you try to make live snap with enabled IO Threads, the operation will fail.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create a vm from template
2. On resource allocation tab enable the IO Threads
3. Start vm
4. Create snap

Actual results:
Failed to create live snapshot '2' for VM 'enaxtest7'. VM restart is recommended. Note that using the created snapshot might cause data inconsistency.

Expected results:
Snapshot '2' creation for VM 'enaxtest7' has been completed.

Additional info:
If need more information, just write me.
Comment 1 Allon Mureinik 2015-08-09 05:08:13 EDT
enax@ezit.hu - the failure is seen in the engine log circa 2015-08-07 05:05, but the VDSM log only starts on 2015-08-07 09:05, and I cannot see the error there. Could you please upload the VDSM that contains the error?
Comment 2 Allon Mureinik 2015-08-09 05:09:02 EDT
Michal - I'm not quite sure if this is in Storage or Virt's domain. Taking to Storage for initial investigation, but your guys should probably be in the loop too.
Comment 3 enax 2015-08-10 05:07:20 EDT
Created attachment 1060983 [details]
logs2
Comment 4 enax 2015-08-10 05:08:50 EDT
Ahh sorry, wrong timezone settings on node.
Comment 5 Michal Skrivanek 2015-08-10 07:23:23 EDT
(In reply to Allon Mureinik from comment #2)
> Michal - I'm not quite sure if this is in Storage or Virt's domain. Taking
> to Storage for initial investigation, but your guys should probably be in
> the loop too.

I only see Thread-123613::ERROR::2015-08-10 11:00:42,668::vm::3024::virt.vm::(snapshot) vmId=`97018914-a0e7-43b6-a4e1-73ee2d88007f`::The base volume doesn't exist: {'device': 'disk', 'domainID': u'bda691fe-f8c4-42cd-9
727-cb709d72b2f5', 'volumeID': u'db09bb38-331d-49aa-96e6-a7c9b9e6589f', 'imageID': u'28ca3b3f-ebc3-4643-ac81-58231421c032'}

Not sure if iothreads are really the difference here
Comment 6 Red Hat Bugzilla Rules Engine 2015-10-19 06:50:05 EDT
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.
Comment 7 Sandro Bonazzola 2015-10-26 08:42:01 EDT
this is an automated message. oVirt 3.6.0 RC3 has been released and GA is targeted to next week, Nov 4th 2015.
Please review this bug and if not a blocker, please postpone to a later release.
All bugs not postponed on GA release will be automatically re-targeted to

- 3.6.1 if severity >= high
- 4.0 if severity < high
Comment 8 Fred Rolland 2015-10-28 05:20:36 EDT
Hi enax@ezit.hu,

I could not reproduce this issue on latest 3.6.
Are there some additional steps other than the ones mentioned ?

Is the problem still happening to you ?

Thanks
Comment 9 Red Hat Bugzilla Rules Engine 2015-10-28 09:12:42 EDT
This bug is not marked for z-stream, yet the milestone is for a z-stream version, therefore the milestone has been reset.
Please set the correct milestone or add the z-stream flag.
Comment 10 Yaniv Lavi (Dary) 2015-11-16 07:36:48 EST
Please reopen this issue with the needed info. We require the info to resolve the issue. Thanks!

Note You need to log in before you can comment on or make changes to this bug.